@import "../../../assets/styles/variables";
@import "../../../assets/styles/mixins";
@import "../../../assets/styles/animations";

.loading-list-view {
    min-height : 470px;
    & .title-unload {
        height : 45px;
        @include border-top-radius(5px);
    }
    & .content-unload {
        height : 400px;
        @include spin-loading-icon(fa-spinner);
    }
}

.list-view-title {
    height : 45px;
    @include border-top-radius(5px);
    @include media-breakpoint-down(ph) {
        font-size : 0.7rem;
    }
}

.list-view-content {
    & .time-box {
        position      : absolute;
        min-width     : 50px;
        border-radius : 5px;
        opacity       : 0.9;
        direction     : ltr;
        font-size     : 0.9rem;
        @include media-breakpoint-only(lg) {
            top : 183px;
        }
    }
    & ul {
        list-style : none;
        &.live {
            & .channel-box {
                height     : 150px;
                min-height : 150px;
                @include border-top-radius(5px);
                & img {
                    width : 90px;
                    @include media-breakpoint-down(ph) {
                        width : 70px;
                    }
                }
                @include media-breakpoint-down(ph) {
                    height     : 110px;
                    min-height : 130px;
                }
            }
            & .bg-tw-crimson {
                height     : 60px;
                min-height : 60px;
                font-size  : 14px;
                border     : 1px solid $tw-red;
                @include border-bottom-radius(5px);
                & .channels {
                    font-family : $font-name-bold;
                }
            }
        }
        &.episode-poster-style,
        &.program-poster-style {
            & li {
                & img {
                    height        : 270px;
                    min-height    : 270px;
                    border-radius : 5px;
                    @include transition-hover();
                    @include media-breakpoint-only(sm) {
                        height     : 240px;
                        min-height : 240px;
                    }
                    @include media-breakpoint-only(ph) {
                        height     : 200px;
                        min-height : 200px;
                    }
                    @include media-breakpoint-only(xs) {
                        height     : 170px;
                        min-height : 170px;
                    }
                }
                & .time-box {
                    top   : 237px;
                    right : 12px;
                }
                & .fa-play {
                    opacity  : 0;
                    position : absolute;
                    left     : 42%;
                    top      : 30%;
                    @include transition-hover();
                }
                & .movies-info {
                    height        : 60px;
                    min-height    : 60px;
                    font-size     : 0.8rem;
                    border-radius : 5px;
                    @include transition-hover();
                    & .view-count {
                        font-size : 0.7rem;
                    }
                    @include media-breakpoint-down(ph) {
                        height     : 50px;
                        min-height : 50px;
                        font-size  : 0.6rem;
                    }
                }
                //@include hover-for-carousel-item(movies-info);
            }
        }
        
        &.episode-cover-style,
        &.program-cover-style {
            & li {
                & img {
                    height        : 150px;
                    border-radius : 5px;
                    @include media-breakpoint-only(lg) {
                        height : 130px;
                    }
                    @include transition-hover();
                }
                & .time-box {
                    top   : 117px;
                    right : 12px;
                }
                & .fa-play {
                    position  : absolute;
                    top       : 23%;
                    left      : 45%;
                    font-size : 2.5rem;
                    opacity   : 0;
                    @include transition-hover();
                }
                & .episode-info {
                    height        : 90px;
                    font-size     : 0.8rem;
                    border-radius : 5px;
                    @include transition-hover();
                }
                //@include hover-for-carousel-item(episode-info);
            }
        }
        
        &.program-cover-style {
            & li {
                & .episode-info {
                    height : 60px;
                }
            }
        }
    }
}

.load-more button {
    width : 270px;
}
